Alert Details

We would like to inform you that we’ve identified an issue in older versions of the product of our Windows business products, specifically ESET Endpoint Antivirus / ESET Endpoint Security v5 (older than 5.0.2271) and ESET Endpoint Antivirus/ESET Endpoint Security/ESET File Security for Windows v6.5 (all 6.5.x versions).

This issue DOES NOT affect the latest versions of our products including the latest ESET Endpoint Antivirus / ESET Endpoint Security – ۶٫۶٫۲۰۸۹ and ESET File Security for Windows 7.1.12018 and customers using the latest versions are not affected in any way. This issue relevant to the impacted versions are listed and described below.

ESET has identified that our kernel has a problem with verification of the timestamp of an already expired certificate (expired by 7th Feb 2020). This method fails and our modules in older, legacy versions, and are declared as untrusted and therefore are not loaded. This mechanism ensures that no untrusted library is loaded.

In result, the affected versions fail to load modules (Firewall, HIPS, Updated, Device Control, Web and Email protection) and is not functional, therefore the protection is not functional.

Newest versions of our products are NOT affected.

Symptoms:
For versions older than 5.0.2271.x symptoms are:
– Failed loading of modules for v5 family
– GUI of the main window is in English and logo shows ESET Smart Security 5 instead of Endpoint Security

For versions 6.5.x symptoms are:
– Product reports antiphishing as disabled
– Product reports that it is not activated
– Product’s advanced settings have features missing

If they’re managed by our ESET Remote Administrator or ESET Security Management Center, they will fall back to the respective parametric group and report an alert as not being activated and the antiphishing module as not functional.

In cases where libraries have loaded, SelfDefense protects the EKRN process and makes uninstallation impossible.

Solution

There’s no automatic solution at the moment and ESET is working on preparing such for most of the versions, when possible.

We strongly recommend upgrading the v5 endpoints to the latest version v5.0.2271.x which is not affected if possible.

For v6.5 family, we strongly suggest upgrading to the latest version of Endpoint Antivirus/ESET Endpoint Security v7.2 or ESET File Security for Windows ۷٫۱

 

Affected builds:
ESET Endpoint Antivirus and ESET Endpoint Security for Windows, versions from 5.0.2126.0 to 5.0.2272.7
The latest available build of Endpoint Antivirus/ESET Endpoint Security v5.0.2271.0 is not affected

ESET Endpoint Antivirus, ESET Endpoint Security and ESET File Security for Windows, versions 6.5.x
The latest version of ESET Endpoint Antivirus & ESET Endpoint Security  ۶٫۶٫۲۰۸۹٫x and 7.2.2055.x are not affected, and neither the latest version 7.1.12018.x of ESET File Security for Windows.

If you’re having any concerns or questions – or are unable to upgrade to the latest versions – do not hesitate to contact ESET support in your location.

https://support.eset.com/en/alert7396-legacy-products-startup-issue

eset

0 پاسخ

دیدگاه خود را ثبت کنید

تمایل دارید در گفتگوها شرکت کنید؟
در گفتگو ها شرکت کنید.

پاسخی بگذارید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *